Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## ix.util.context
Class ContextAnnotatedObject

    java.lang.Object
      ix.icore.AbstractAnnotatedObject
          ix.util.context.ContextAnnotatedObject

All Implemented Interfaces:
  Annotated, java.io.Serializable

Direct Known Subclasses:
  AbstractPMM

    public abstract class ContextAnnotatedObject

extends AbstractAnnotatedObject

Provides context-dependent annotations.

See Also:
  Serialized Form

Field Summary

Fields inherited from class ix.icore.AbstractAnnotatedObject
`annotationListeners, annotations`

Constructor Summary
`ContextAnnotatedObject()`

Method Summary
`protected java.util.Map` | `annMap()`
`void` | `clearAnnotationsCompletely()`
`protected void` | `makeAnnMap()`
`void` | `setAnnotations(Annotations annotes)`

Methods inherited from class ix.icore.AbstractAnnotatedObject
`addAnnotationListener, clearAnnotations, fireSetAnnotation, getAnnotation, getAnnotations, getComments, removeAnnotation, setAnnotation, setComments, takeAnnotations`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ContextAnnotatedObject

    public ContextAnnotatedObject()

Method Detail

### annMap

    protected java.util.Map annMap()

  Overrides:
    `annMap` in class `AbstractAnnotatedObject`

### makeAnnMap

    protected void makeAnnMap()

  Overrides:
    `makeAnnMap` in class `AbstractAnnotatedObject`

### setAnnotations

    public void setAnnotations(Annotations annotes)

  Specified by:
    `setAnnotations` in interface `Annotated`
  Overrides:
    `setAnnotations` in class `AbstractAnnotatedObject`

### clearAnnotationsCompletely

    public void clearAnnotationsCompletely()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD